/* definitions */
$data-style-list:
	"":"Auto",
	"b-listing-links": "Link Liste"
;

$data-sizing-list:
	"":"Auto"
;

$data-hide-header-list:
	"":"Auto",
	"b-listing-hide-header":"Hidden"
;

$data-wrap-list:
	"":"1 per row",
	"b-listing-2":"Max 2 per row"
;

$data-direction-list:
	"":"Auto",
	"b-listing-row-reverse":"Text before picture"
;

$data-content-height-list:
	"":"Auto",
	"b-listing-height-full":"Full"
;

.b-listing {
	display: flex;
	flex-wrap: wrap;
	flex-direction: row;
	
	.box-padding-m @Mobile {
		padding:0;
	}
}

.b-listing-centered {
	justify-content: center;
}

.b-listing-height-full > .b-entry > .b-e-content > .section {
	height: 100%;
}

.b-entry-border-bottom {
	position:relative;
	
	&:after {
		content: "";
		position: absolute;
		bottom: 0;
		left: look/$spacing-box-small;
		right: look/$spacing-box-small;
		height: 1px;
		background: colors/$grey4;
	}
}

/* entry */
.b-entry {
	display: flex;
	flex-direction: column;
	flex: 1 0 100%;
	max-width: 100%;
	min-width: 0;
}

.b-listing .b-entry {

	&.b-listing-border {
		padding-bottom: look/$spacing-box-small;
	
		.b-e-content{ 
			border-bottom:1px solid colors/$grey4;
		}
	}
	
	&.b-listing-border:first-child {
		.b-e-content{ 
			padding-top: look/$spacing-box-small;
			border-top:1px solid colors/$grey4;
		}
	}
	
	&.b-listing-border:nth-child(2) {
		.b-e-content{ 
			padding-top: look/$spacing-box-small;
			border-top:1px solid colors/$grey4;
			
			@Mobile {
				padding-top: 0;
				border-top-width:0px;
			}
		}
	}
}


/* boxed style */
.b-listing-boxes {
	margin-left: -#{look/$spacing-column};
	margin-right: -#{look/$spacing-column};
	width: auto;
	
	@Mobile {
	}
	
	.b-e-header {
		margin-top: look/$spacing-column;
		margin-left: look/$spacing-column;
		margin-right: look/$spacing-column;
	}
	
	.b-e-content {
		margin: look/$spacing-column;
	}
}

/* link style */
.b-listing.b-listing-links .b-entry {
	display: block;
	background-color: colors/$transparent;
	transition: background-color 0.3s ease 0s;
	
	.b-e-header {
		display:none;
	}
	
	&.link {
		margin-top: 0;
		margin-bottom: 0;
		color: colors/$grey1;
		border-bottom:1px solid colors/$grey4;
		
		&:hover {
			text-decoration: none;
			color: colors/$deco1;
		}
		
		&:first-child {
			border-top:1px solid colors/$grey4;
		}
	}
	
	&.list-item .b-e-content {
		.text.paragraph {
			display:none;
		}
		
		.title {
			margin: 0;
			padding:look/$spacing-10 0;
			font-size:look/$font-size-m;
			color: colors/$grey1;
			sv-txt-font: look/$font-a-regular;
		}
	}

	&:hover {
		background-color: colors/$grey6;
		
		.b-image.d-grayscale {
			filter: none;
		}
			
		.d-color-overlay {
			opacity: 0;
		}
	}
		
	
	/* different style for documents */
	&.d-document {
		.link {
			width: 100%;
			height: 100%;
			border-bottom: solid 1px colors/$grey4;
		}
		
		.b-image {
			height: 100%;
			width: 100%;
		}
	}
}


.border-list-wrapper {
	
	&.multicolumn {
		justify-content: space-between;
	}
	
	.col {
		width:100%;
		margin:0 look/$spacing-column;
		
		@Mobile {
			margin:0;
		}
		
		&:nth-child(odd) {
			margin-left:0;
		}
		&:nth-child(even) {
			margin-right:0;
		}
	}
	
	.col:nth-child(-n+2) {
		border-top:1px solid colors/$grey3;
	} 
	
	.link:before {
		content:"";
		padding:0;
	}
}


	
.b-listing.b-listing-links.b-listing-horizontal .b-entry.d-document {
	padding: look/$spacing-column look/$spacing-column 0 look/$spacing-column;

	.b-e-header {
		margin-top: 0;
		margin-bottom: look/$spacing-column;
		margin-left: 0;
		margin-right: look/$spacing-column;

		.b-image {
			height: 62px;
			width: auto;
		}
	}
	
	.b-e-content {
		margin: 0 0 look/$spacing-column 0;
		
		.text.paragraph {
			margin-bottom: 5px;
		}
		
		.text {
			margin-top: 0;
		}
	}
}

/* styles for listing wrapping */
.b-listing.b-listing-fixed .b-entry {
	max-width: look/$listing-fixed-max-width;
	min-width: look/$listing-fixed-min-width;
}
.bo-b-listing.bo-b-listing-fixed .b-entry {
	max-width: look/$listing-fixed-max-width;
	min-width: look/$listing-fixed-min-width;
}
.b-listing.b-listing-halfwidth .b-entry {
	flex: 1 0 50%; 
	max-width: look/$listing-halfwidth-max-width;
	min-width: look/$listing-halfwidth-min-width;
}
.bo-b-listing.bo-b-listing-halfwidth .b-entry {
	flex: 1 0 50%; 
	max-width: look/$listing-halfwidth-max-width;
	min-width: look/$listing-halfwidth-min-width;
}


/* flexing */
.b-listing-2 .b-entry { 
	flex: 1 0 50%;
	max-width: look/$listing-2-max-width;
	min-width: look/$listing-2-min-width;
	padding: 0 look/$spacing-column;

	&:nth-child(odd) {
		padding-left:0;
	}
	
	&:nth-child(even) {
		padding-right:0;
	}
	
	@Mobile {
		padding:0;
	}
}
.b-listing-3 .b-entry { 
	flex: 1 0 33.33%;
	max-width: look/$listing-3-max-width;
	min-width: look/$listing-3-min-width;
}
.b-listing-4 .b-entry { 
	flex: 1 0 25%; 
	max-width: look/$listing-4-max-width;
	min-width: look/$listing-4-min-width;
}



.m-listing-slider.brick {
	.l-s-c-control {
		border: solid 1px colors/$grey6;
		top: 50%;
		transform: translateY(-50%);
	}
}

/* flex direction */ 
.b-listing.b-listing-horizontal.b-listing-row-reverse .b-entry {
	flex-direction:row-reverse;
	
	@Mobile {
		flex-direction:column-reverse;
	}
}
.multicolumn.b-listing-row-reverse {
	flex-direction:row-reverse;
	
	@Mobile {
		flex-direction:column;
	}
}


/* filler style */
.b-entry-filler {
	pointer-events: none;
}

/* horizontal style */
.b-listing.b-listing-horizontal .b-entry {
	display: flex;
    flex-direction: row;
    
	.b-e-header {
		margin-right: look/$spacing-column;
		margin-bottom: 0;
	}
	
	.b-e-content {
		flex: 1 0 auto;
	}
	
	> .link {
		display: flex;
	}
}

/* header */
.b-e-header {
	margin-bottom: look/$spacing-column;
}

.b-listing-hide-header {
	.b-e-header {
		display: none;
	}
}
	
.b-e-header .b-image {
	height: 150px;
	width: 100%;
	display: block;
	object-fit: cover;
	
	&.small {
		height: 150px;
	}
}


/* CONTENT */
.b-e-content {
	flex: 1 0 auto;
	display: flex;
	flex-direction: column;
	
	.icon-download {
		margin-right:look/$spacing-5;
	}
}

/* special style for listing within multicolumn with space */
.multicolumn.b-mc-space > * > .b-listing {
	margin-left: -#{look/$spacing-column};
	margin-right: -#{look/$spacing-column};
}